Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network69.2.48.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
69.2.48.0
Broadcast address
69.2.63.255
First usable
69.2.48.1
Last usable
69.2.63.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 45023000 · Integer 1157771264 to 1157775359
Reverse DNS zones
48.2.69.in-addr.arpa
49.2.69.in-addr.arpa
50.2.69.in-addr.arpa
51.2.69.in-addr.arpa
52.2.69.in-addr.arpa
53.2.69.in-addr.arpa
54.2.69.in-addr.arpa
55.2.69.in-addr.arpa
56.2.69.in-addr.arpa
57.2.69.in-addr.arpa
58.2.69.in-addr.arpa
59.2.69.in-addr.arpa
60.2.69.in-addr.arpa
61.2.69.in-addr.arpa
62.2.69.in-addr.arpa
63.2.69.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000101.00000010.00110000.0000000069.2.48.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network01000101.00000010.00110000.0000000069.2.48.0
Broadcast01000101.00000010.00111111.1111111169.2.63.255
Split into smaller subnets/32

69.2.48.0/20 makes 4,096 subnets of /32; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
169.2.48.0/3269.2.48.0 to 69.2.48.0—1
269.2.48.1/3269.2.48.1 to 69.2.48.1—1
369.2.48.2/3269.2.48.2 to 69.2.48.2—1
469.2.48.3/3269.2.48.3 to 69.2.48.3—1
569.2.48.4/3269.2.48.4 to 69.2.48.4—1
669.2.48.5/3269.2.48.5 to 69.2.48.5—1
769.2.48.6/3269.2.48.6 to 69.2.48.6—1
869.2.48.7/3269.2.48.7 to 69.2.48.7—1
969.2.48.8/3269.2.48.8 to 69.2.48.8—1
1069.2.48.9/3269.2.48.9 to 69.2.48.9—1
1169.2.48.10/3269.2.48.10 to 69.2.48.10—1
1269.2.48.11/3269.2.48.11 to 69.2.48.11—1
1369.2.48.12/3269.2.48.12 to 69.2.48.12—1
1469.2.48.13/3269.2.48.13 to 69.2.48.13—1
1569.2.48.14/3269.2.48.14 to 69.2.48.14—1
1669.2.48.15/3269.2.48.15 to 69.2.48.15—1
1769.2.48.16/3269.2.48.16 to 69.2.48.16—1
1869.2.48.17/3269.2.48.17 to 69.2.48.17—1
1969.2.48.18/3269.2.48.18 to 69.2.48.18—1
2069.2.48.19/3269.2.48.19 to 69.2.48.19—1
2169.2.48.20/3269.2.48.20 to 69.2.48.20—1
2269.2.48.21/3269.2.48.21 to 69.2.48.21—1
2369.2.48.22/3269.2.48.22 to 69.2.48.22—1
2469.2.48.23/3269.2.48.23 to 69.2.48.23—1
2569.2.48.24/3269.2.48.24 to 69.2.48.24—1
2669.2.48.25/3269.2.48.25 to 69.2.48.25—1
2769.2.48.26/3269.2.48.26 to 69.2.48.26—1
2869.2.48.27/3269.2.48.27 to 69.2.48.27—1
2969.2.48.28/3269.2.48.28 to 69.2.48.28—1
3069.2.48.29/3269.2.48.29 to 69.2.48.29—1
3169.2.48.30/3269.2.48.30 to 69.2.48.30—1
3269.2.48.31/3269.2.48.31 to 69.2.48.31—1
3369.2.48.32/3269.2.48.32 to 69.2.48.32—1
3469.2.48.33/3269.2.48.33 to 69.2.48.33—1
3569.2.48.34/3269.2.48.34 to 69.2.48.34—1
3669.2.48.35/3269.2.48.35 to 69.2.48.35—1
3769.2.48.36/3269.2.48.36 to 69.2.48.36—1
3869.2.48.37/3269.2.48.37 to 69.2.48.37—1
3969.2.48.38/3269.2.48.38 to 69.2.48.38—1
4069.2.48.39/3269.2.48.39 to 69.2.48.39—1
4169.2.48.40/3269.2.48.40 to 69.2.48.40—1
4269.2.48.41/3269.2.48.41 to 69.2.48.41—1
4369.2.48.42/3269.2.48.42 to 69.2.48.42—1
4469.2.48.43/3269.2.48.43 to 69.2.48.43—1
4569.2.48.44/3269.2.48.44 to 69.2.48.44—1
4669.2.48.45/3269.2.48.45 to 69.2.48.45—1
4769.2.48.46/3269.2.48.46 to 69.2.48.46—1
4869.2.48.47/3269.2.48.47 to 69.2.48.47—1
4969.2.48.48/3269.2.48.48 to 69.2.48.48—1
5069.2.48.49/3269.2.48.49 to 69.2.48.49—1
5169.2.48.50/3269.2.48.50 to 69.2.48.50—1
5269.2.48.51/3269.2.48.51 to 69.2.48.51—1
5369.2.48.52/3269.2.48.52 to 69.2.48.52—1
5469.2.48.53/3269.2.48.53 to 69.2.48.53—1
5569.2.48.54/3269.2.48.54 to 69.2.48.54—1
5669.2.48.55/3269.2.48.55 to 69.2.48.55—1
5769.2.48.56/3269.2.48.56 to 69.2.48.56—1
5869.2.48.57/3269.2.48.57 to 69.2.48.57—1
5969.2.48.58/3269.2.48.58 to 69.2.48.58—1
6069.2.48.59/3269.2.48.59 to 69.2.48.59—1
6169.2.48.60/3269.2.48.60 to 69.2.48.60—1
6269.2.48.61/3269.2.48.61 to 69.2.48.61—1
6369.2.48.62/3269.2.48.62 to 69.2.48.62—1
6469.2.48.63/3269.2.48.63 to 69.2.48.63—1
6569.2.48.64/3269.2.48.64 to 69.2.48.64—1
6669.2.48.65/3269.2.48.65 to 69.2.48.65—1
6769.2.48.66/3269.2.48.66 to 69.2.48.66—1
6869.2.48.67/3269.2.48.67 to 69.2.48.67—1
6969.2.48.68/3269.2.48.68 to 69.2.48.68—1
7069.2.48.69/3269.2.48.69 to 69.2.48.69—1
7169.2.48.70/3269.2.48.70 to 69.2.48.70—1
7269.2.48.71/3269.2.48.71 to 69.2.48.71—1
7369.2.48.72/3269.2.48.72 to 69.2.48.72—1
7469.2.48.73/3269.2.48.73 to 69.2.48.73—1
7569.2.48.74/3269.2.48.74 to 69.2.48.74—1
7669.2.48.75/3269.2.48.75 to 69.2.48.75—1
7769.2.48.76/3269.2.48.76 to 69.2.48.76—1
7869.2.48.77/3269.2.48.77 to 69.2.48.77—1
7969.2.48.78/3269.2.48.78 to 69.2.48.78—1
8069.2.48.79/3269.2.48.79 to 69.2.48.79—1
8169.2.48.80/3269.2.48.80 to 69.2.48.80—1
8269.2.48.81/3269.2.48.81 to 69.2.48.81—1
8369.2.48.82/3269.2.48.82 to 69.2.48.82—1
8469.2.48.83/3269.2.48.83 to 69.2.48.83—1
8569.2.48.84/3269.2.48.84 to 69.2.48.84—1
8669.2.48.85/3269.2.48.85 to 69.2.48.85—1
8769.2.48.86/3269.2.48.86 to 69.2.48.86—1
8869.2.48.87/3269.2.48.87 to 69.2.48.87—1
8969.2.48.88/3269.2.48.88 to 69.2.48.88—1
9069.2.48.89/3269.2.48.89 to 69.2.48.89—1
9169.2.48.90/3269.2.48.90 to 69.2.48.90—1
9269.2.48.91/3269.2.48.91 to 69.2.48.91—1
9369.2.48.92/3269.2.48.92 to 69.2.48.92—1
9469.2.48.93/3269.2.48.93 to 69.2.48.93—1
9569.2.48.94/3269.2.48.94 to 69.2.48.94—1
9669.2.48.95/3269.2.48.95 to 69.2.48.95—1
9769.2.48.96/3269.2.48.96 to 69.2.48.96—1
9869.2.48.97/3269.2.48.97 to 69.2.48.97—1
9969.2.48.98/3269.2.48.98 to 69.2.48.98—1
10069.2.48.99/3269.2.48.99 to 69.2.48.99—1
10169.2.48.100/3269.2.48.100 to 69.2.48.100—1
10269.2.48.101/3269.2.48.101 to 69.2.48.101—1
10369.2.48.102/3269.2.48.102 to 69.2.48.102—1
10469.2.48.103/3269.2.48.103 to 69.2.48.103—1
10569.2.48.104/3269.2.48.104 to 69.2.48.104—1
10669.2.48.105/3269.2.48.105 to 69.2.48.105—1
10769.2.48.106/3269.2.48.106 to 69.2.48.106—1
10869.2.48.107/3269.2.48.107 to 69.2.48.107—1
10969.2.48.108/3269.2.48.108 to 69.2.48.108—1
11069.2.48.109/3269.2.48.109 to 69.2.48.109—1
11169.2.48.110/3269.2.48.110 to 69.2.48.110—1
11269.2.48.111/3269.2.48.111 to 69.2.48.111—1
11369.2.48.112/3269.2.48.112 to 69.2.48.112—1
11469.2.48.113/3269.2.48.113 to 69.2.48.113—1
11569.2.48.114/3269.2.48.114 to 69.2.48.114—1
11669.2.48.115/3269.2.48.115 to 69.2.48.115—1
11769.2.48.116/3269.2.48.116 to 69.2.48.116—1
11869.2.48.117/3269.2.48.117 to 69.2.48.117—1
11969.2.48.118/3269.2.48.118 to 69.2.48.118—1
12069.2.48.119/3269.2.48.119 to 69.2.48.119—1
12169.2.48.120/3269.2.48.120 to 69.2.48.120—1
12269.2.48.121/3269.2.48.121 to 69.2.48.121—1
12369.2.48.122/3269.2.48.122 to 69.2.48.122—1
12469.2.48.123/3269.2.48.123 to 69.2.48.123—1
12569.2.48.124/3269.2.48.124 to 69.2.48.124—1
12669.2.48.125/3269.2.48.125 to 69.2.48.125—1
12769.2.48.126/3269.2.48.126 to 69.2.48.126—1
12869.2.48.127/3269.2.48.127 to 69.2.48.127—1
12969.2.48.128/3269.2.48.128 to 69.2.48.128—1
13069.2.48.129/3269.2.48.129 to 69.2.48.129—1
13169.2.48.130/3269.2.48.130 to 69.2.48.130—1
13269.2.48.131/3269.2.48.131 to 69.2.48.131—1
13369.2.48.132/3269.2.48.132 to 69.2.48.132—1
13469.2.48.133/3269.2.48.133 to 69.2.48.133—1
13569.2.48.134/3269.2.48.134 to 69.2.48.134—1
13669.2.48.135/3269.2.48.135 to 69.2.48.135—1
13769.2.48.136/3269.2.48.136 to 69.2.48.136—1
13869.2.48.137/3269.2.48.137 to 69.2.48.137—1
13969.2.48.138/3269.2.48.138 to 69.2.48.138—1
14069.2.48.139/3269.2.48.139 to 69.2.48.139—1
14169.2.48.140/3269.2.48.140 to 69.2.48.140—1
14269.2.48.141/3269.2.48.141 to 69.2.48.141—1
14369.2.48.142/3269.2.48.142 to 69.2.48.142—1
14469.2.48.143/3269.2.48.143 to 69.2.48.143—1
14569.2.48.144/3269.2.48.144 to 69.2.48.144—1
14669.2.48.145/3269.2.48.145 to 69.2.48.145—1
14769.2.48.146/3269.2.48.146 to 69.2.48.146—1
14869.2.48.147/3269.2.48.147 to 69.2.48.147—1
14969.2.48.148/3269.2.48.148 to 69.2.48.148—1
15069.2.48.149/3269.2.48.149 to 69.2.48.149—1
15169.2.48.150/3269.2.48.150 to 69.2.48.150—1
15269.2.48.151/3269.2.48.151 to 69.2.48.151—1
15369.2.48.152/3269.2.48.152 to 69.2.48.152—1
15469.2.48.153/3269.2.48.153 to 69.2.48.153—1
15569.2.48.154/3269.2.48.154 to 69.2.48.154—1
15669.2.48.155/3269.2.48.155 to 69.2.48.155—1
15769.2.48.156/3269.2.48.156 to 69.2.48.156—1
15869.2.48.157/3269.2.48.157 to 69.2.48.157—1
15969.2.48.158/3269.2.48.158 to 69.2.48.158—1
16069.2.48.159/3269.2.48.159 to 69.2.48.159—1
16169.2.48.160/3269.2.48.160 to 69.2.48.160—1
16269.2.48.161/3269.2.48.161 to 69.2.48.161—1
16369.2.48.162/3269.2.48.162 to 69.2.48.162—1
16469.2.48.163/3269.2.48.163 to 69.2.48.163—1
16569.2.48.164/3269.2.48.164 to 69.2.48.164—1
16669.2.48.165/3269.2.48.165 to 69.2.48.165—1
16769.2.48.166/3269.2.48.166 to 69.2.48.166—1
16869.2.48.167/3269.2.48.167 to 69.2.48.167—1
16969.2.48.168/3269.2.48.168 to 69.2.48.168—1
17069.2.48.169/3269.2.48.169 to 69.2.48.169—1
17169.2.48.170/3269.2.48.170 to 69.2.48.170—1
17269.2.48.171/3269.2.48.171 to 69.2.48.171—1
17369.2.48.172/3269.2.48.172 to 69.2.48.172—1
17469.2.48.173/3269.2.48.173 to 69.2.48.173—1
17569.2.48.174/3269.2.48.174 to 69.2.48.174—1
17669.2.48.175/3269.2.48.175 to 69.2.48.175—1
17769.2.48.176/3269.2.48.176 to 69.2.48.176—1
17869.2.48.177/3269.2.48.177 to 69.2.48.177—1
17969.2.48.178/3269.2.48.178 to 69.2.48.178—1
18069.2.48.179/3269.2.48.179 to 69.2.48.179—1
18169.2.48.180/3269.2.48.180 to 69.2.48.180—1
18269.2.48.181/3269.2.48.181 to 69.2.48.181—1
18369.2.48.182/3269.2.48.182 to 69.2.48.182—1
18469.2.48.183/3269.2.48.183 to 69.2.48.183—1
18569.2.48.184/3269.2.48.184 to 69.2.48.184—1
18669.2.48.185/3269.2.48.185 to 69.2.48.185—1
18769.2.48.186/3269.2.48.186 to 69.2.48.186—1
18869.2.48.187/3269.2.48.187 to 69.2.48.187—1
18969.2.48.188/3269.2.48.188 to 69.2.48.188—1
19069.2.48.189/3269.2.48.189 to 69.2.48.189—1
19169.2.48.190/3269.2.48.190 to 69.2.48.190—1
19269.2.48.191/3269.2.48.191 to 69.2.48.191—1
19369.2.48.192/3269.2.48.192 to 69.2.48.192—1
19469.2.48.193/3269.2.48.193 to 69.2.48.193—1
19569.2.48.194/3269.2.48.194 to 69.2.48.194—1
19669.2.48.195/3269.2.48.195 to 69.2.48.195—1
19769.2.48.196/3269.2.48.196 to 69.2.48.196—1
19869.2.48.197/3269.2.48.197 to 69.2.48.197—1
19969.2.48.198/3269.2.48.198 to 69.2.48.198—1
20069.2.48.199/3269.2.48.199 to 69.2.48.199—1
20169.2.48.200/3269.2.48.200 to 69.2.48.200—1
20269.2.48.201/3269.2.48.201 to 69.2.48.201—1
20369.2.48.202/3269.2.48.202 to 69.2.48.202—1
20469.2.48.203/3269.2.48.203 to 69.2.48.203—1
20569.2.48.204/3269.2.48.204 to 69.2.48.204—1
20669.2.48.205/3269.2.48.205 to 69.2.48.205—1
20769.2.48.206/3269.2.48.206 to 69.2.48.206—1
20869.2.48.207/3269.2.48.207 to 69.2.48.207—1
20969.2.48.208/3269.2.48.208 to 69.2.48.208—1
21069.2.48.209/3269.2.48.209 to 69.2.48.209—1
21169.2.48.210/3269.2.48.210 to 69.2.48.210—1
21269.2.48.211/3269.2.48.211 to 69.2.48.211—1
21369.2.48.212/3269.2.48.212 to 69.2.48.212—1
21469.2.48.213/3269.2.48.213 to 69.2.48.213—1
21569.2.48.214/3269.2.48.214 to 69.2.48.214—1
21669.2.48.215/3269.2.48.215 to 69.2.48.215—1
21769.2.48.216/3269.2.48.216 to 69.2.48.216—1
21869.2.48.217/3269.2.48.217 to 69.2.48.217—1
21969.2.48.218/3269.2.48.218 to 69.2.48.218—1
22069.2.48.219/3269.2.48.219 to 69.2.48.219—1
22169.2.48.220/3269.2.48.220 to 69.2.48.220—1
22269.2.48.221/3269.2.48.221 to 69.2.48.221—1
22369.2.48.222/3269.2.48.222 to 69.2.48.222—1
22469.2.48.223/3269.2.48.223 to 69.2.48.223—1
22569.2.48.224/3269.2.48.224 to 69.2.48.224—1
22669.2.48.225/3269.2.48.225 to 69.2.48.225—1
22769.2.48.226/3269.2.48.226 to 69.2.48.226—1
22869.2.48.227/3269.2.48.227 to 69.2.48.227—1
22969.2.48.228/3269.2.48.228 to 69.2.48.228—1
23069.2.48.229/3269.2.48.229 to 69.2.48.229—1
23169.2.48.230/3269.2.48.230 to 69.2.48.230—1
23269.2.48.231/3269.2.48.231 to 69.2.48.231—1
23369.2.48.232/3269.2.48.232 to 69.2.48.232—1
23469.2.48.233/3269.2.48.233 to 69.2.48.233—1
23569.2.48.234/3269.2.48.234 to 69.2.48.234—1
23669.2.48.235/3269.2.48.235 to 69.2.48.235—1
23769.2.48.236/3269.2.48.236 to 69.2.48.236—1
23869.2.48.237/3269.2.48.237 to 69.2.48.237—1
23969.2.48.238/3269.2.48.238 to 69.2.48.238—1
24069.2.48.239/3269.2.48.239 to 69.2.48.239—1
24169.2.48.240/3269.2.48.240 to 69.2.48.240—1
24269.2.48.241/3269.2.48.241 to 69.2.48.241—1
24369.2.48.242/3269.2.48.242 to 69.2.48.242—1
24469.2.48.243/3269.2.48.243 to 69.2.48.243—1
24569.2.48.244/3269.2.48.244 to 69.2.48.244—1
24669.2.48.245/3269.2.48.245 to 69.2.48.245—1
24769.2.48.246/3269.2.48.246 to 69.2.48.246—1
24869.2.48.247/3269.2.48.247 to 69.2.48.247—1
24969.2.48.248/3269.2.48.248 to 69.2.48.248—1
25069.2.48.249/3269.2.48.249 to 69.2.48.249—1
25169.2.48.250/3269.2.48.250 to 69.2.48.250—1
25269.2.48.251/3269.2.48.251 to 69.2.48.251—1
25369.2.48.252/3269.2.48.252 to 69.2.48.252—1
25469.2.48.253/3269.2.48.253 to 69.2.48.253—1
25569.2.48.254/3269.2.48.254 to 69.2.48.254—1
25669.2.48.255/3269.2.48.255 to 69.2.48.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses